OpenNMS API 1.2.9

## org.opennms.web.event.filter
Interface Filter

All Known Implementing Classes:
  AcknowledgedByFilter, AfterDateFilter, BeforeDateFilter, DescriptionSubstringFilter, ExactUEIFilter, InterfaceFilter, IPLikeFilter, LogMessageMatchesAnyFilter, LogMessageSubstringFilter, NegativeAcknowledgedByFilter, NegativeExactUEIFilter, NegativeInterfaceFilter, NegativeNodeFilter, NegativePartialUEIFilter, NegativeServiceFilter, NegativeSeverityFilter, NodeFilter, NodeNameLikeFilter, PartialUEIFilter, ServiceFilter, SeverityFilter

public interface Filter

Convenience class to determine what sort of events to include in a query.

Method Summary
`java.lang.String` `getDescription()` Returns a terse string (including a "=") that describes this filter in such a way to easily be included in an HTTP GET parameter.
`java.lang.String` `getSql()` Returns an expresions for a SQL where clause.
`java.lang.String` `getTextDescription()` Returns a terse but human-readable string describing this filter in such a way to easily be included in a search results list.

Method Detail

### getSql

    public java.lang.String getSql()

  Returns an expresions for a SQL where clause. Remember to include a trailing space, but no leading AND or OR.

### getDescription

    public java.lang.String getDescription()

  Returns a terse string (including a "=") that describes this filter in such a way to easily be included in an HTTP GET parameter.

  Some examples:

  - "node=1"
  - "interface=192.168.0.1"
  - "severity=3"
  - "nodenamelike=opennms"

### getTextDescription

    public java.lang.String getTextDescription()

  Returns a terse but human-readable string describing this filter in such a way to easily be included in a search results list.

  Some examples (corresponding to the examples in `getDescription`):

  - "node=nodelabel_of_node_1"
  - "interface=192.168.0.1"
  - "severity=Normal"
  - "node name containing \"opennms\""

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.